Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://staking.x402layer.cc/api/agent/stake \ --header 'Content-Type: application/json' \ --data ' { "wallet": "<string>", "amount": 50000 } '
{ "action": "stake", "note": "<string>", "transactions": [ { "description": "Stake 50000 $SGL as compute", "transaction": "<string>", "blockhash": "<string>", "lastValidBlockHeight": 123 } ], "next": "Sign each transaction with your wallet keypair, then POST /api/agent/submit { transaction }." }
Staker wallet (base58).
Stake type. compute = compute node operator, validator = marketplace validator, yield = yield enjoyer.
compute
validator
yield
Amount of $SGL to stake (min 50000).
50000
Unsigned transaction(s) to sign and submit.
"stake"
Show child attributes
"Sign each transaction with your wallet keypair, then POST /api/agent/submit { transaction }."
Was this page helpful?